<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<meta name="robots" content="NOINDEX, NOFOLLOW" /> <!-- Prevent indexing by search engines -->
<title>ARM Compute Library: arm_compute/core/Error.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script><script type="text/javascript" src="http://cdn.mathjax.org/mathjax/latest/MathJax.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">ARM Compute Library
   &#160;<span id="projectnumber">17.04</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.xhtml"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.xhtml"><span>Namespaces</span></a></li>
      <li><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.xhtml"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.xhtml"><span>File&#160;List</span></a></li>
      <li><a href="globals.xhtml"><span>Globals</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_error_8h.xhtml','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">Error.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="_error_8h_source.xhtml">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacearm__compute"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacearm__compute.xhtml">arm_compute</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a05b19c75afe9c24200a62b9724734bbd"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_error_8h.xhtml#a05b19c75afe9c24200a62b9724734bbd">ARM_COMPUTE_ERROR</a>(...)&#160;&#160;&#160;::<a class="el" href="namespacearm__compute.xhtml#a568b0fbfa3d903099d9c9f7b6acf188d">arm_compute::error</a>(__func__, __FILE__, __LINE__, __VA_ARGS__)</td></tr>
<tr class="memdesc:a05b19c75afe9c24200a62b9724734bbd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Print the given message then throw an std::runtime_error.  <a href="#a05b19c75afe9c24200a62b9724734bbd">More...</a><br /></td></tr>
<tr class="separator:a05b19c75afe9c24200a62b9724734bbd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af93757c5021d1802b094dfbead459391"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_error_8h.xhtml#af93757c5021d1802b094dfbead459391">ARM_COMPUTE_ERROR_LOC</a>(func,  file,  line, ...)&#160;&#160;&#160;::<a class="el" href="namespacearm__compute.xhtml#a568b0fbfa3d903099d9c9f7b6acf188d">arm_compute::error</a>(func, file, line, __VA_ARGS__)</td></tr>
<tr class="memdesc:af93757c5021d1802b094dfbead459391"><td class="mdescLeft">&#160;</td><td class="mdescRight">Print the given message then throw an std::runtime_error.  <a href="#af93757c5021d1802b094dfbead459391">More...</a><br /></td></tr>
<tr class="separator:af93757c5021d1802b094dfbead459391"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4103adbb45806b2f2002d44b91d0d206"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_error_8h.xhtml#a4103adbb45806b2f2002d44b91d0d206">ARM_COMPUTE_UNUSED</a>(var)&#160;&#160;&#160;(void)(var)</td></tr>
<tr class="memdesc:a4103adbb45806b2f2002d44b91d0d206"><td class="mdescLeft">&#160;</td><td class="mdescRight">To avoid unused variables warnings.  <a href="#a4103adbb45806b2f2002d44b91d0d206">More...</a><br /></td></tr>
<tr class="separator:a4103adbb45806b2f2002d44b91d0d206"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5bbdcf574d3f5e412fa6a1117911e67b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_error_8h.xhtml#a5bbdcf574d3f5e412fa6a1117911e67b">ARM_COMPUTE_ERROR_ON_MSG</a>(cond, ...)</td></tr>
<tr class="separator:a5bbdcf574d3f5e412fa6a1117911e67b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1b62e396a1789909dadda61ea4cda96f"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_error_8h.xhtml#a1b62e396a1789909dadda61ea4cda96f">ARM_COMPUTE_ERROR_ON_LOC_MSG</a>(cond,  func,  file,  line, ...)</td></tr>
<tr class="separator:a1b62e396a1789909dadda61ea4cda96f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50048c593c53405cca5b0d69dfe25554"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_error_8h.xhtml#a50048c593c53405cca5b0d69dfe25554">ARM_COMPUTE_CONST_ON_ERROR</a>(cond,  val,  msg)&#160;&#160;&#160;val</td></tr>
<tr class="separator:a50048c593c53405cca5b0d69dfe25554"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a54a6080c9f4df1f908e57a9bbb46f5da"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_error_8h.xhtml#a54a6080c9f4df1f908e57a9bbb46f5da">ARM_COMPUTE_ERROR_ON</a>(cond)&#160;&#160;&#160;<a class="el" href="_error_8h.xhtml#a5bbdcf574d3f5e412fa6a1117911e67b">ARM_COMPUTE_ERROR_ON_MSG</a>(cond, #cond)</td></tr>
<tr class="memdesc:a54a6080c9f4df1f908e57a9bbb46f5da"><td class="mdescLeft">&#160;</td><td class="mdescRight">If the condition is true then an error message is printed and an exception thrown.  <a href="#a54a6080c9f4df1f908e57a9bbb46f5da">More...</a><br /></td></tr>
<tr class="separator:a54a6080c9f4df1f908e57a9bbb46f5da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac90c3bce005225cbaa4a43740917bb58"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_error_8h.xhtml#ac90c3bce005225cbaa4a43740917bb58">ARM_COMPUTE_ERROR_ON_LOC</a>(cond,  func,  file,  line)&#160;&#160;&#160;<a class="el" href="_error_8h.xhtml#a1b62e396a1789909dadda61ea4cda96f">ARM_COMPUTE_ERROR_ON_LOC_MSG</a>(cond, func, file, line, #cond)</td></tr>
<tr class="memdesc:ac90c3bce005225cbaa4a43740917bb58"><td class="mdescLeft">&#160;</td><td class="mdescRight">If the condition is true then an error message is printed and an exception thrown.  <a href="#ac90c3bce005225cbaa4a43740917bb58">More...</a><br /></td></tr>
<tr class="separator:ac90c3bce005225cbaa4a43740917bb58"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a568b0fbfa3d903099d9c9f7b6acf188d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacearm__compute.xhtml#a568b0fbfa3d903099d9c9f7b6acf188d">error</a> (const char *function, const char *file, const int line, const char *msg,...)</td></tr>
<tr class="memdesc:a568b0fbfa3d903099d9c9f7b6acf188d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Print an error message then throw an std::runtime_error.  <a href="namespacearm__compute.xhtml#a568b0fbfa3d903099d9c9f7b6acf188d">More...</a><br /></td></tr>
<tr class="separator:a568b0fbfa3d903099d9c9f7b6acf188d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a class="anchor" id="a50048c593c53405cca5b0d69dfe25554"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ARM_COMPUTE_CONST_ON_ERROR</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">cond, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">val, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">msg&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;val</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="_error_8h_source.xhtml#l00093">93</a> of file <a class="el" href="_error_8h_source.xhtml">Error.h</a>.</p>

</div>
</div>
<a class="anchor" id="a05b19c75afe9c24200a62b9724734bbd"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ARM_COMPUTE_ERROR</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>...</em></td><td>)</td>
          <td>&#160;&#160;&#160;::<a class="el" href="namespacearm__compute.xhtml#a568b0fbfa3d903099d9c9f7b6acf188d">arm_compute::error</a>(__func__, __FILE__, __LINE__, __VA_ARGS__)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Print the given message then throw an std::runtime_error. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">...</td><td>Message to display before aborting. </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="_error_8h_source.xhtml#l00031">31</a> of file <a class="el" href="_error_8h_source.xhtml">Error.h</a>.</p>

<p>Referenced by <a class="el" href="arm__compute_2core_2_utils_8h_source.xhtml#l00098">arm_compute::data_size_from_type()</a>, <a class="el" href="arm__compute_2core_2_utils_8h_source.xhtml#l00195">arm_compute::data_type_from_format()</a>, <a class="el" href="arm__compute_2core_2_utils_8h_source.xhtml#l00169">arm_compute::element_size_from_data_type()</a>, <a class="el" href="test__helpers_2_utils_8h_source.xhtml#l00142">PPMLoader::fill_image()</a>, <a class="el" href="arm__compute_2core_2_utils_8h_source.xhtml#l00283">arm_compute::num_planes_from_format()</a>, <a class="el" href="test__helpers_2_utils_8h_source.xhtml#l00094">PPMLoader::open()</a>, <a class="el" href="arm__compute_2core_2_utils_8h_source.xhtml#l00131">arm_compute::pixel_size_from_format()</a>, <a class="el" href="arm__compute_2core_2_utils_8h_source.xhtml#l00236">arm_compute::plane_idx_from_channel()</a>, and <a class="el" href="test__helpers_2_utils_8h_source.xhtml#l00245">test_helpers::save_to_ppm()</a>.</p>

</div>
</div>
<a class="anchor" id="af93757c5021d1802b094dfbead459391"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ARM_COMPUTE_ERROR_LOC</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">func, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">file, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">line, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>...</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;::<a class="el" href="namespacearm__compute.xhtml#a568b0fbfa3d903099d9c9f7b6acf188d">arm_compute::error</a>(func, file, line, __VA_ARGS__)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Print the given message then throw an std::runtime_error. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">func</td><td>Function in which the error occurred. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">file</td><td>File in which the error occurred. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">line</td><td>Line in which the error occurred. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">...</td><td>Message to display before aborting. </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="_error_8h_source.xhtml#l00040">40</a> of file <a class="el" href="_error_8h_source.xhtml">Error.h</a>.</p>

</div>
</div>
<a class="anchor" id="a54a6080c9f4df1f908e57a9bbb46f5da"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ARM_COMPUTE_ERROR_ON</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">cond</td><td>)</td>
          <td>&#160;&#160;&#160;<a class="el" href="_error_8h.xhtml#a5bbdcf574d3f5e412fa6a1117911e67b">ARM_COMPUTE_ERROR_ON_MSG</a>(cond, #cond)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>If the condition is true then an error message is printed and an exception thrown. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">cond</td><td>Condition to evaluate </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="_error_8h_source.xhtml#l00100">100</a> of file <a class="el" href="_error_8h_source.xhtml">Error.h</a>.</p>

<p>Referenced by <a class="el" href="_i_access_window_8h_source.xhtml#l00217">AccessWindowHorizontal::AccessWindowHorizontal()</a>, <a class="el" href="_i_access_window_8h_source.xhtml#l00132">AccessWindowRectangle::AccessWindowRectangle()</a>, <a class="el" href="_i_access_window_8h_source.xhtml#l00196">AccessWindowVertical::AccessWindowVertical()</a>, <a class="el" href="_i_access_window_8h_source.xhtml#l00047">arm_compute::adjust_down()</a>, <a class="el" href="_i_access_window_8h_source.xhtml#l00063">arm_compute::adjust_up()</a>, <a class="el" href="_i_array_8h_source.xhtml#l00117">IArray&lt; NELKInternalKeypoint &gt;::at()</a>, <a class="el" href="arm__compute_2core_2_utils_8h_source.xhtml#l00042">arm_compute::ceil_to_multiple()</a>, <a class="el" href="_c_l_array_8h_source.xhtml#l00075">CLArray&lt; T &gt;::cl_buffer()</a>, <a class="el" href="_n_e_color_convert_helper_8inl_source.xhtml#l00550">arm_compute::colorconvert_iyuv_to_nv12()</a>, <a class="el" href="_n_e_color_convert_helper_8inl_source.xhtml#l00445">arm_compute::colorconvert_iyuv_to_rgb()</a>, <a class="el" href="_n_e_color_convert_helper_8inl_source.xhtml#l00737">arm_compute::colorconvert_iyuv_to_yuv4()</a>, <a class="el" href="_n_e_color_convert_helper_8inl_source.xhtml#l00591">arm_compute::colorconvert_nv12_to_iyuv()</a>, <a class="el" href="_n_e_color_convert_helper_8inl_source.xhtml#l00389">arm_compute::colorconvert_nv12_to_rgb()</a>, <a class="el" href="_n_e_color_convert_helper_8inl_source.xhtml#l00686">arm_compute::colorconvert_nv12_to_yuv4()</a>, <a class="el" href="_n_e_color_convert_helper_8inl_source.xhtml#l00825">arm_compute::colorconvert_rgb_to_iyuv()</a>, <a class="el" href="_n_e_color_convert_helper_8inl_source.xhtml#l00789">arm_compute::colorconvert_rgb_to_nv12()</a>, <a class="el" href="_n_e_color_convert_helper_8inl_source.xhtml#l00303">arm_compute::colorconvert_rgb_to_rgbx()</a>, <a class="el" href="_n_e_color_convert_helper_8inl_source.xhtml#l00862">arm_compute::colorconvert_rgb_to_yuv4()</a>, <a class="el" href="_n_e_color_convert_helper_8inl_source.xhtml#l00327">arm_compute::colorconvert_rgbx_to_rgb()</a>, <a class="el" href="_n_e_color_convert_helper_8inl_source.xhtml#l00633">arm_compute::colorconvert_yuyv_to_iyuv()</a>, <a class="el" href="_n_e_color_convert_helper_8inl_source.xhtml#l00502">arm_compute::colorconvert_yuyv_to_nv12()</a>, <a class="el" href="_n_e_color_convert_helper_8inl_source.xhtml#l00351">arm_compute::colorconvert_yuyv_to_rgb()</a>, <a class="el" href="test__helpers_2_utils_8h_source.xhtml#l00142">PPMLoader::fill_image()</a>, <a class="el" href="arm__compute_2core_2_utils_8h_source.xhtml#l00050">arm_compute::floor_to_multiple()</a>, <a class="el" href="test__helpers_2_utils_8h_source.xhtml#l00125">PPMLoader::init_image()</a>, <a class="el" href="test__helpers_2_utils_8h_source.xhtml#l00094">PPMLoader::open()</a>, <a class="el" href="_dimensions_8h_source.xhtml#l00102">Dimensions&lt; size_t &gt;::operator[]()</a>, <a class="el" href="_i_array_8h_source.xhtml#l00078">IArray&lt; NELKInternalKeypoint &gt;::push_back()</a>, <a class="el" href="_i_array_8h_source.xhtml#l00128">IArray&lt; NELKInternalKeypoint &gt;::resize()</a>, <a class="el" href="test__helpers_2_utils_8h_source.xhtml#l00245">test_helpers::save_to_ppm()</a>, <a class="el" href="_window_8inl_source.xhtml#l00053">Window::scale()</a>, <a class="el" href="_dimensions_8h_source.xhtml#l00073">Dimensions&lt; size_t &gt;::set()</a>, <a class="el" href="_window_8inl_source.xhtml#l00040">Window::set()</a>, <a class="el" href="_window_8inl_source.xhtml#l00062">Window::set_dimension_step()</a>, <a class="el" href="_window_8inl_source.xhtml#l00046">Window::shift()</a>, <a class="el" href="_window_8inl_source.xhtml#l00085">Window::split_window()</a>, <a class="el" href="_tensor_shape_8h_source.xhtml#l00068">TensorShape::total_size()</a>, <a class="el" href="_tensor_shape_8h_source.xhtml#l00082">TensorShape::total_size_upper()</a>, and <a class="el" href="_window_8inl_source.xhtml#l00068">Window::validate()</a>.</p>

</div>
</div>
<a class="anchor" id="ac90c3bce005225cbaa4a43740917bb58"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ARM_COMPUTE_ERROR_ON_LOC</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">cond, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">func, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">file, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">line&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;<a class="el" href="_error_8h.xhtml#a1b62e396a1789909dadda61ea4cda96f">ARM_COMPUTE_ERROR_ON_LOC_MSG</a>(cond, func, file, line, #cond)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>If the condition is true then an error message is printed and an exception thrown. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">cond</td><td>Condition to evaluate </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">func</td><td>Function in which the error occurred. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">file</td><td>File in which the error occurred. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">line</td><td>Line in which the error occurred. </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="_error_8h_source.xhtml#l00110">110</a> of file <a class="el" href="_error_8h_source.xhtml">Error.h</a>.</p>

<p>Referenced by <a class="el" href="_validate_8h_source.xhtml#l00292">arm_compute::error_on_channel_not_in()</a>, <a class="el" href="_validate_8h_source.xhtml#l00227">arm_compute::error_on_data_type_not_in()</a>, and <a class="el" href="_validate_8h_source.xhtml#l00196">arm_compute::error_on_format_not_in()</a>.</p>

</div>
</div>
<a class="anchor" id="a1b62e396a1789909dadda61ea4cda96f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ARM_COMPUTE_ERROR_ON_LOC_MSG</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">cond, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">func, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">file, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">line, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>...</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="_error_8h_source.xhtml#l00092">92</a> of file <a class="el" href="_error_8h_source.xhtml">Error.h</a>.</p>

<p>Referenced by <a class="el" href="_validate_8h_source.xhtml#l00259">arm_compute::error_on_data_type_channel_not_in()</a>, <a class="el" href="_validate_8h_source.xhtml#l00227">arm_compute::error_on_data_type_not_in()</a>, <a class="el" href="_validate_8h_source.xhtml#l00196">arm_compute::error_on_format_not_in()</a>, <a class="el" href="_validate_8h_source.xhtml#l00162">arm_compute::error_on_mismatching_data_types()</a>, and <a class="el" href="_validate_8h_source.xhtml#l00132">arm_compute::error_on_mismatching_shapes()</a>.</p>

</div>
</div>
<a class="anchor" id="a5bbdcf574d3f5e412fa6a1117911e67b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ARM_COMPUTE_ERROR_ON_MSG</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">cond, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>...</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="_error_8h_source.xhtml#l00091">91</a> of file <a class="el" href="_error_8h_source.xhtml">Error.h</a>.</p>

<p>Referenced by <a class="el" href="test__helpers_2_utils_8h_source.xhtml#l00142">PPMLoader::fill_image()</a>, <a class="el" href="test__helpers_2_utils_8h_source.xhtml#l00094">PPMLoader::open()</a>, and <a class="el" href="_utils_8cpp_source.xhtml#l00136">test_helpers::parse_ppm_header()</a>.</p>

</div>
</div>
<a class="anchor" id="a4103adbb45806b2f2002d44b91d0d206"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ARM_COMPUTE_UNUSED</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">var</td><td>)</td>
          <td>&#160;&#160;&#160;(void)(var)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>To avoid unused variables warnings. </p>
<p>This is useful if for example a variable is only used in debug builds and generates a warning in release builds.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">var</td><td>Variable which is unused </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="_error_8h_source.xhtml#l00049">49</a> of file <a class="el" href="_error_8h_source.xhtml">Error.h</a>.</p>

<p>Referenced by <a class="el" href="_validate_8h_source.xhtml#l00292">arm_compute::error_on_channel_not_in()</a>, <a class="el" href="_validate_8h_source.xhtml#l00259">arm_compute::error_on_data_type_channel_not_in()</a>, <a class="el" href="_validate_8h_source.xhtml#l00227">arm_compute::error_on_data_type_not_in()</a>, <a class="el" href="_validate_8h_source.xhtml#l00196">arm_compute::error_on_format_not_in()</a>, <a class="el" href="_validate_8h_source.xhtml#l00162">arm_compute::error_on_mismatching_data_types()</a>, <a class="el" href="_validate_8h_source.xhtml#l00132">arm_compute::error_on_mismatching_shapes()</a>, <a class="el" href="test__helpers_2_utils_8h_source.xhtml#l00142">PPMLoader::fill_image()</a>, <a class="el" href="neon__copy__objects_8cpp_source.xhtml#l00035">main_neon_copy_objects()</a>, and <a class="el" href="_utils_8cpp_source.xhtml#l00136">test_helpers::parse_ppm_header()</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_214608ef36d61442cb2b0c1c4e9a7def.xhtml">arm_compute</a></li><li class="navelem"><a class="el" href="dir_1fb090f0c6070330bfaccc4236d3ca0d.xhtml">core</a></li><li class="navelem"><a class="el" href="_error_8h.xhtml">Error.h</a></li>
    <li class="footer">Generated on Wed Apr 12 2017 17:30:09 for ARM Compute Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
